Subject: Re: [lemonade] comments on draft-ietf-lemonade-urlauth-04.txt (fwd)

From: Alexey Melnikov <[email-masked]>
Date: Wed, 01 Dec 2004 12:34:21 +0000

Alexey Melnikov wrote:

> Mark Crispin wrote:
>
>> ---------- Forwarded message ----------
>> [...]
>
>> Shouldn't both RESETKEY and GENURLAUTH require that the user be
>> able to access the mailbox named in the command or URL?  Should the
>> server check whether the indicated message both exists and has the
>> indicated part?
>
> I've added the following text to the next revision of the RFC 2086 
> (ACL) document:
>
>    RESETKEY - "r" right is required for each mailbox affected by the 
> command.
>               In particular the RESETKEY MUST NOT reset keys on 
> mailboxes that
>               can't be SELECT/EXAMINEd by the current user.
>
>    GENURLAUTH - "r" right is required for each mailbox referenced in 
> the URL(s)
>                 specified as parameter(s) to the GENURLAUTH command.
>
>    URLFETCH - no rights required to perform this operation.

I've decided to submit a separate document instead 
(draft-melnikov-acl-rights-00.txt). It will list ACL rights required for 
many IMAP extensions, including URLAUTH and CATENATE.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade